::d2x-beta.bat should be saved here in order for ModMii v4.6.0+ to use it: modules\More-cIOSs\{ANY FOLDER NAME}\d2x-beta.bat

::--------update what comes after "d2x-beta-rev=" and "ciosversion=" below----------
::"magicword" should be contained in this file for modmii to not check for updates or enable legacy cIOS build mode (effective v7.0.3+)
set ciosversion=21001
::must be <=65535
::if ciosversion above is different from version in ciosmaps.xml, then ModMii v6.5.2 or higher required to build it successfully

set d2x-beta-rev=1-final
::This info is used to sign *00.app file for cIOS detection, everything after "=" but before the first "-" is considered the version # and it must be a number! Good examples are "5-beta1-test1" or "5" or "999". Bad examples are "5beta1" or "five-beta1" or "-5-beta1"
::everything after the first "-" is considered the version string (limited by 16 chars) and it only recognizes letters, numbers and + - _ ( ) [ ]
::5 chars of version string is used up if ciosmaps_vWii.xml exists to append "-vWii" to tag, so version string limit is actually 11 chars if vWii is supported

set cIOSFamilyName=d2x
::Only change this if building a cIOS that isn't a "d2x" branded cIOS. This string is limited by 16 chars and it only recognizes letters, numbers and + - _ ( ) [ ]


if "%wadname%"=="" goto:endofd2xbat

::------------------------Section to update (below)--------------------
::here you should enter the new beta cIOS hashes (under the OLD non-beta "wadname")
::d2x-beta-md5-updater.bat can be used to help update hashes
if /i "%wadname:~0,17%" EQU "cIOS249[37]-d2x-v" set md5=e07fdc145420367f84f5ab6c4aaeadcf
if /i "%wadname:~0,17%" EQU "cIOS250[37]-d2x-v" set md5=b9d6f5e70b5f1ce5b7c17ce5a094f1bf
if /i "%wadname:~0,17%" EQU "cIOS249[38]-d2x-v" set md5=d25d0b3dacdc691fd0212924c29c1eb5
if /i "%wadname:~0,17%" EQU "cIOS250[38]-d2x-v" set md5=e33601dcfefec3c1ba9c096ce1930e4f
if /i "%wadname:~0,17%" EQU "cIOS249[53]-d2x-v" set md5=21f111031d654b91d79521b72cc7345a
if /i "%wadname:~0,17%" EQU "cIOS250[53]-d2x-v" set md5=a024a80ebc99cce9103284718f61a4f0
if /i "%wadname:~0,17%" EQU "cIOS249[55]-d2x-v" set md5=b195eb1dadc50ed1ff40d6ab560d80ef
if /i "%wadname:~0,17%" EQU "cIOS250[55]-d2x-v" set md5=320af52d99a98c80ba270d27dada2096
if /i "%wadname:~0,17%" EQU "cIOS249[56]-d2x-v" set md5=edf5bf9b8e2a2d6112be68b5b83fd96e
if /i "%wadname:~0,17%" EQU "cIOS250[56]-d2x-v" set md5=c4f4e7d5a319c123e1fef31f0b6af3d0
if /i "%wadname:~0,17%" EQU "cIOS249[57]-d2x-v" set md5=cdce7bff533fe5e140f21015a5380b59
if /i "%wadname:~0,17%" EQU "cIOS250[57]-d2x-v" set md5=dacfc7fd1193476d93a284b839afb152
if /i "%wadname:~0,17%" EQU "cIOS249[58]-d2x-v" set md5=c6e1b9c0631066a407290224639b7f1e
if /i "%wadname:~0,17%" EQU "cIOS250[58]-d2x-v" set md5=a66789eca6f47f34f1709d73bf0ed74b
if /i "%wadname:~0,17%" EQU "cIOS248[38]-d2x-v" set md5=4135a092705607d7e91b94787022978b
if /i "%wadname:~0,17%" EQU "cIOS251[58]-d2x-v" set md5=fd1ee9c743c71ae2fb217aa60ab4f8a1
::two sets of md5s for legacy wad(mii) packer support
if /i "%wadname:~0,17%" EQU "cIOS249[37]-d2x-v" set md5alt=37e47c6640c4b9397589d3333aca7ca2
if /i "%wadname:~0,17%" EQU "cIOS250[37]-d2x-v" set md5alt=995ff7bb81c46b215714ceeb4e9ecc0e
if /i "%wadname:~0,17%" EQU "cIOS249[38]-d2x-v" set md5alt=701779abd20783c914f8d90708ba3172
if /i "%wadname:~0,17%" EQU "cIOS250[38]-d2x-v" set md5alt=f3ada3f107ac17e02a58a4e5cfd431fa
if /i "%wadname:~0,17%" EQU "cIOS249[53]-d2x-v" set md5alt=6a677250aff5f5dbaa7cd97bdcd7b793
if /i "%wadname:~0,17%" EQU "cIOS250[53]-d2x-v" set md5alt=2d1cb2112a29f3e81e4854b95f4eeddc
if /i "%wadname:~0,17%" EQU "cIOS249[55]-d2x-v" set md5alt=3edf91db617318b260378f50dcdc9d5a
if /i "%wadname:~0,17%" EQU "cIOS250[55]-d2x-v" set md5alt=cf1349c64f2f0183299bec017498838c
if /i "%wadname:~0,17%" EQU "cIOS249[56]-d2x-v" set md5alt=1a9bc85042401640949566e2217dc910
if /i "%wadname:~0,17%" EQU "cIOS250[56]-d2x-v" set md5alt=5baeb1f17fa77fb1f3be648b52d600d7
if /i "%wadname:~0,17%" EQU "cIOS249[57]-d2x-v" set md5alt=8c8938d42af58bb839fd4055f37211ab
if /i "%wadname:~0,17%" EQU "cIOS250[57]-d2x-v" set md5alt=21f5ae55afc54a06b231b3193ba6617c
if /i "%wadname:~0,17%" EQU "cIOS249[58]-d2x-v" set md5alt=520729baf45f726a692ed1b0d6811f3d
if /i "%wadname:~0,17%" EQU "cIOS250[58]-d2x-v" set md5alt=92abf83d93ea96f22c12ddefe341d876
if /i "%wadname:~0,17%" EQU "cIOS248[38]-d2x-v" set md5alt=b9eaf9e707291ed048bd2e4aa44f8454
if /i "%wadname:~0,17%" EQU "cIOS251[58]-d2x-v" set md5alt=fd9fcd5b25ff7710ec26fdda6d996218
::------------------------Section to update (above)--------------------

::----------Additional Instructions---------------
::save any of the following beta files to the following directory
::if any of the following is not found, the standard d2x module used in the previous ModMii release will continue to be used
::modules\More-cIOSs\{ANY FOLDER NAME}\mload.app
::modules\More-cIOSs\{ANY FOLDER NAME}\FAT.app
::modules\More-cIOSs\{ANY FOLDER NAME}\SDHC.app
::modules\More-cIOSs\{ANY FOLDER NAME}\EHCI.app
::modules\More-cIOSs\{ANY FOLDER NAME}\USBS.app
::modules\More-cIOSs\{ANY FOLDER NAME}\DIPP.app
::modules\More-cIOSs\{ANY FOLDER NAME}\ES.app
::modules\More-cIOSs\{ANY FOLDER NAME}\FFSP.app
::------------------------------------------------------

::set md5alt=%md5%

::change some variables
set wadname=%wadname:~0,17%%d2x-beta-rev%
if /i "%name:~0,17%" NEQ "Advanced Download" set name=%wadname%

:endofd2xbat 

